MkDir !bin
MkDir !log
DEL /Q !log\*.*
trdtool.exe # !bin/elite.trd
sjasmplus.exe --exp=!log\LabelGame.a80 --lst=!log\log.txt Elite.a80 >> !log\error.txt
sjasmplus.exe LUA\build2scr.a80 >> !log\error.txt
rem --== Запаковка игры ==--
zx0.exe Gfx\screen.scr !bin\screen.C
zx0.exe !bin\ram0.bin !bin\ram0.C
zx0.exe !bin\ram3.bin !bin\ram3.C
zx0.exe !bin\ram4.bin !bin\ram4.C
zx0.exe !bin\ram6.bin !bin\ram6.C
zx0.exe !bin\ram7.bin !bin\ram7.C
zx0.exe !bin\libsfx.bin !bin\libsfx.C
zx0.exe !bin\slotvar.bin !bin\slotvar.C
zx0.exe !bin\main.bin !bin\main.C
zx0.exe !bin\drvtabl.bin !bin\drvtabl.C
rem --== Запаковка сэмплов ==--
rem zx0.exe SFX\KeyPressed.sample !bin\keypress.gs
rem zx0.exe SFX\PressOption.sample !bin\pressopt.gs
rem zx0.exe SFX\Laser0.sample !bin\laser0.gs
rem zx0.exe SFX\Laser1.sample !bin\laser1.gs
rem zx0.exe SFX\Laser2.sample !bin\laser2.gs
rem zx0.exe SFX\Laser3.sample !bin\laser3.gs
rem zx0.exe SFX\Laser4.sample !bin\laser4.gs
rem zx0.exe SFX\Laser5.sample !bin\laser5.gs
rem zx0.exe SFX\Laser6.sample !bin\laser6.gs
rem zx0.exe SFX\Laser7.sample !bin\laser7.gs
rem zx0.exe SFX\PilotLaserHit.sample !bin\pilothit.gs
rem zx0.exe SFX\EnemyLaserHit.sample !bin\enemyhit.gs
rem zx0.exe SFX\LaunchMissile.sample !bin\missile.gs
rem zx0.exe SFX\!empty.sample !bin\ecm.gs
rem zx0.exe SFX\!empty.sample !bin\off.gs
rem zx0.exe SFX\EnergyBomb.sample !bin\ebomb.gs
rem zx0.exe SFX\!empty.sample !bin\gameover.gs
rem zx0.exe SFX\!empty.sample !bin\drone.gs
rem zx0.exe SFX\!empty.sample !bin\alien.gs
rem zx0.exe SFX\PressPause.sample !bin\pause.gs
rem zx0.exe SFX\!empty.sample !bin\cargo.gs
rem zx0.exe SFX\Refueled.sample !bin\refuel.gs
rem zx0.exe SFX\!empty.sample !bin\descent.gs
rem zx0.exe SFX\JumpGate.sample !bin\jumpate.gs
rem zx0.exe SFX\!empty.sample !bin\docking.gs
rem zx0.exe SFX\!empty.sample !bin\launch.gs
rem zx0.exe SFX\!empty.sample !bin\hypjump.gs
rem zx0.exe SFX\!empty.sample !bin\collis.gs
rem zx0.exe SFX\DestroyObj.sample !bin\destroy.gs
rem --== Копирование сэмплов в папку ==--
echo f | xcopy SFX\KeyPressed.sample !bin\keypress.gs /y
echo f | xcopy SFX\PressOption.sample !bin\pressopt.gs /y
echo f | xcopy SFX\Laser0.sample !bin\laser0.gs /y
echo f | xcopy SFX\Laser1.sample !bin\laser1.gs /y
echo f | xcopy SFX\Laser2.sample !bin\laser2.gs /y
echo f | xcopy SFX\Laser3.sample !bin\laser3.gs /y
echo f | xcopy SFX\Laser4.sample !bin\laser4.gs /y
echo f | xcopy SFX\Laser5.sample !bin\laser5.gs /y
echo f | xcopy SFX\Laser6.sample !bin\laser6.gs /y
echo f | xcopy SFX\Laser7.sample !bin\laser7.gs /y
echo f | xcopy SFX\PilotLaserHit.sample !bin\pilothit.gs /y
echo f | xcopy SFX\EnemyLaserHit.sample !bin\enemyhit.gs /y
echo f | xcopy SFX\LaunchMissile.sample !bin\missile.gs /y
echo f | xcopy SFX\ECM.sample !bin\ecm.gs /y
echo f | xcopy SFX\!empty.sample !bin\off.gs /y
echo f | xcopy SFX\EnergyBomb.sample !bin\ebomb.gs /y
echo f | xcopy SFX\!empty.sample !bin\gameover.gs /y
echo f | xcopy SFX\LaunchDrone.sample !bin\drone.gs /y
echo f | xcopy SFX\LaunchAlien.sample !bin\alien.gs /y
echo f | xcopy SFX\PressPause.sample !bin\pause.gs /y
echo f | xcopy SFX\GetCargo.sample !bin\cargo.gs /y
echo f | xcopy SFX\Refueled.sample !bin\refuel.gs /y
echo f | xcopy SFX\LaunchDescent.sample !bin\descent.gs /y
echo f | xcopy SFX\!empty.sample !bin\jumpgate.gs /y
echo f | xcopy SFX\!empty.sample !bin\docking.gs /y
echo f | xcopy SFX\Launch.sample !bin\launch.gs /y
echo f | xcopy SFX\HyperJump.sample !bin\hypjump.gs /y
echo f | xcopy SFX\Collision.sample !bin\collis.gs /y
echo f | xcopy SFX\DestroyObj.sample !bin\destroy.gs /y
rem --== Формирование образа диска ==--
sjasmplus.exe --exp=!log\loader.a80 --lst=!log\logloader.txt INCLUDE\Loader\Loader.a80 >> !log\errorloader.txt
trdtool.exe + !bin\elite.trd !bin\screen.C !bin\ram0.C !bin\libsfx.C
trdtool.exe + !bin\elite.trd !bin\ram3.C !bin\ram4.C !bin\ram6.C
trdtool.exe + !bin\elite.trd !bin\ram7.C 
trdtool.exe + !bin\elite.trd !bin\main.C !bin\drvtabl.C !bin\slotvar.C  
trdtool.exe + !bin\elite.trd !bin\elite.trd INCLUDE\Loader\setup.ini
sjasmplus.exe LUA\end_lua.a80 >> !log\error.txt
sjasmplus.exe LUA\MergeFilesTrd.a80 >> !log\error.txt
trdtool.exe @ !bin\elite.trd
rem --== Копирование сэмплов на образ диска ==--
trdtool.exe + !bin\elite.trd !bin\keypress.gs !bin\pressopt.gs
trdtool.exe + !bin\elite.trd !bin\laser0.gs !bin\laser1.gs
trdtool.exe + !bin\elite.trd !bin\laser2.gs !bin\laser3.gs
trdtool.exe + !bin\elite.trd !bin\laser4.gs !bin\laser5.gs
trdtool.exe + !bin\elite.trd !bin\laser6.gs !bin\laser7.gs
trdtool.exe + !bin\elite.trd !bin\pilothit.gs !bin\enemyhit.gs
trdtool.exe + !bin\elite.trd !bin\missile.gs !bin\ecm.gs !bin\off.gs
trdtool.exe + !bin\elite.trd !bin\ebomb.gs !bin\gameover.gs
trdtool.exe + !bin\elite.trd !bin\drone.gs !bin\alien.gs
trdtool.exe + !bin\elite.trd !bin\pause.gs !bin\cargo.gs
trdtool.exe + !bin\elite.trd !bin\refuel.gs !bin\descent.gs
trdtool.exe + !bin\elite.trd !bin\jumpgate.gs !bin\docking.gs
trdtool.exe + !bin\elite.trd !bin\launch.gs !bin\hypjump.gs
trdtool.exe + !bin\elite.trd !bin\collis.gs !bin\destroy.gs
sjasmplus.exe LUA\MergeFilesSFX.a80 >> !log\error.txt
trdtool.exe @ !bin\elite.trd

trdtool.exe # !bin/EliteLeg.trd
del /Q !bin\*.bin
del /Q !bin\*.C
del /Q !bin\*.gs


